<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="NDTSCommonHAL"
	ProjectGUID="{F4261FE6-F974-41EC-93FF-7A0D23EF1281}"
	RootNamespace="NDTSCommonHAL"
	Keyword="Win32Proj"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="Debug"
			IntermediateDirectory="Debug"
			ConfigurationType="2"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
				CommandLine="scripts\PreBuild.bat $(ConfigurationName)"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..\thirdparty;..\..\SDKUtilities\src;..\..\Error\src;..\src"
				PreprocessorDefinitions="NDTSHAL_EXPORTS;_CRT_SECURE_NO_DEPRECATE"
				MinimalRebuild="false"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				UsePrecompiledHeader="0"
				BrowseInformation="1"
				WarningLevel="4"
				WarnAsError="true"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
				CompileAs="1"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="..\..\Error\lib\$(ConfigurationName)\NDTSError.lib ..\..\SDKUtilities\lib\$(ConfigurationName)\NDTSSDKUtilities.lib"
				OutputFile="$(OutDir)/NDTSCommonHAL.dll"
				LinkIncremental="1"
				AdditionalLibraryDirectories="$(SVNROOT)/rapidaq/sw/error/debug"
				GenerateDebugInformation="true"
				ProgramDatabaseFile="$(OutDir)/NDTSCommonHAL.pdb"
				SubSystem="2"
				ImportLibrary="$(OutDir)/NDTSCommonHAL.lib"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="scripts\PostBuild.bat $(ConfigurationName) $(SolutionDir)"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="Release"
			IntermediateDirectory="Release"
			ConfigurationType="2"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
			CharacterSet="2"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
				CommandLine="scripts\PreBuild.bat $(ConfigurationName)"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				FavorSizeOrSpeed="1"
				AdditionalIncludeDirectories="..\..\..\thirdparty;..\..\SDKUtilities\src;..\..\Error\src;..\src"
				PreprocessorDefinitions="NDTSHAL_EXPORTS;_CRT_SECURE_NO_DEPRECATE"
				MinimalRebuild="false"
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="4"
				WarnAsError="true"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="..\..\Error\lib\$(ConfigurationName)\NDTSError.lib ..\..\SDKUtilities\lib\$(ConfigurationName)\NDTSSDKUtilities.lib"
				OutputFile="$(OutDir)/NDTSCommonHAL.dll"
				LinkIncremental="1"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="$(OutDir)/NDTSCommonHAL.lib"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="scripts\PostBuild.bat $(ConfigurationName) $(SolutionDir)"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath=".\NDTSCommonHAL.c"
				>
			</File>
			<File
				RelativePath=".\NDTSCommonHALErrors.c"
				>
			</File>
			<File
				RelativePath=".\NDTSCommonHALInternal.c"
				>
			</File>
			<File
				RelativePath=".\NDTSCommonHALProtected.c"
				>
			</File>
			<Filter
				Name="HAL Implementation Source Files"
				>
				<Filter
					Name="PLX v4.0 Source Files"
					>
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v40.c"
						>
					</File>
				</Filter>
				<Filter
					Name="PLX v4.4 Source Files"
					>
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v44.c"
						>
					</File>
				</Filter>
				<Filter
					Name="PLX v5.1 Source Files"
					>
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v51.c"
						>
					</File>
				</Filter>
				<Filter
					Name="PLX v5.x Source Files"
					>
				</Filter>
				<Filter
					Name="PLX v5.22 Source Files"
					>
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v522.c"
						>
					</File>
				</Filter>
			</Filter>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath=".\NDTSCommonHAL.h"
				>
			</File>
			<File
				RelativePath=".\NDTSCommonHALConstants.h"
				>
			</File>
			<File
				RelativePath=".\NDTSCommonHALErrors.h"
				>
			</File>
			<File
				RelativePath=".\NDTSCommonHALInternal.h"
				>
			</File>
			<File
				RelativePath=".\NDTSCommonHALProtected.h"
				>
			</File>
			<File
				RelativePath=".\NDTSEnums.h"
				>
			</File>
			<Filter
				Name="HAL Implementation Header Files"
				>
				<File
					RelativePath=".\NDTSCommonHALEntryPoints.h"
					>
				</File>
				<Filter
					Name="PLX v4.0 Header Files"
					>
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v40.h"
						>
					</File>
				</Filter>
				<Filter
					Name="PLX v4.4 Header Files"
					>
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v44.h"
						>
					</File>
				</Filter>
				<Filter
					Name="PLX v5.1 Header Files"
					>
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v51.h"
						>
					</File>
				</Filter>
				<Filter
					Name="PLX v5.x Header Files"
					>
				</Filter>
				<Filter
					Name="PLX v5.22 Header Files"
					>
					<File
						RelativePath=".\NDTSCommonHAL_PLX_v522.h"
						>
					</File>
				</Filter>
			</Filter>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
